/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: service.cpp,v 1.9 2014/01/10 19:22:09 fclement Exp $ */

#include "service.hpp"


using namespace std;

namespace io{

  Service::Service(string __atom):_values(0){_atom = __atom;}
  
  Service::Service(vector<Typed_value>& __values,string __atom):_values(__values){_atom = __atom;}
  
  Service::Service(const Typed_value & _value,string __atom):_values(1,_value){_atom = __atom;}
  
  Service::~Service(){}

  vector<Typed_value> & Service::values(){return _values;}

  void Service::add(const Typed_value& _value){
    _values.push_back(_value);
  }
  
  string Service::atom(){return _atom;}

}
