/***********************************************************************/
/*                                                                     */
/*                            Pio (Fortran)                            */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Francois Clement <Francois.Clement@inria.fr>                       */
/*  Pierre Weis <Pierre.Weis@inria.fr>                                 */
/*  Hend Ben Ameur <hbenameur@yahoo.ca>                                */
/*                                                                     */
/***********************************************************************/

/* $Id: pio_user_constants.h,v 1.4 2014/03/14 18:42:02 fclement Exp $ */

#ifndef _PIO_USER_CONSTANTS_H_
#define _PIO_USER_CONSTANTS_H_

#include "pio_constants.h"

#define PIO_USER_ZERO 0PIO_FLOAT_SUFFIX
#define PIO_USER_ONE 1PIO_FLOAT_SUFFIX
#define PIO_USER_HALF 0.5PIO_FLOAT_SUFFIX

#define PIO_USER_MAX_MESSAGE_PREFIX_LENGTH 64
#define PIO_USER_MAX_ERROR_MESSAGE_LENGTH 256

#define PIO_USER_STDERR PIO_STDERR
#define PIO_USER_DEBUG PIO_USER_STDERR
#define PIO_USER_REPORT PIO_USER_DEBUG
#define PIO_USER_IOUNIT 12

#include "pio_user_error_codes.h"

#endif
